Module org.jfree.chart3d
Package org.jfree.chart3d.renderer

# Interface Renderer3DChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `CategoryPlot3D`, `XYZPlot`

public interface Renderer3DChangeListener extends EventListener
An interface through which notification of changes to a `Renderer3D` can be received. By default, a `CategoryPlot3D` or an `XYZPlot` will register as a listener on the renderer that it is using (if the renderer changes, the plot passes on a change event to the chart).

## Method Summary

Modifier and Type
Method
Description
`void`
`rendererChanged(Renderer3DChangeEvent event)`
Called to signal a change to a renderer.

## Method Details

### rendererChanged

void rendererChanged(Renderer3DChangeEvent event)
Called to signal a change to a renderer.

Parameters:
  `event` - information about the change.